<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/

namespace app\admin\controller\bbfxshop\news;

use app\admin\controller\bbfxshop\Base;
use think\Db;


class Category extends Base
{
    
    public $model = null;
    public function _initialize(){
        parent::_initialize();
        $this->model = new \app\common\model\bbfxshop\News;
    }
    
    public function getList(){
        $params = $this->param();
        
        $pindex = max(1, intval($params["page"]));
        $psize = intval($params["limit"])?intval($params["limit"]):10;
        
        $where = array("uniacid"=>UNIACID);
        
        $list = Db::name("bbfx_news_category")->where($where)->order('sort desc,id desc')->limit(($pindex - 1) * $psize,$psize)->select();
        $total = Db::name("bbfx_news_category")->where($where)->count();
        
        __success("操作成功",['total'=>$total,'list'=>$list]);
    }
    
    public function all(){
        $params = $this->param();
        
        $where = array("uniacid"=>UNIACID);
        
        if(!empty($params['type'])){
            $where['type'] = $params['type'];
        }
        
        $list = Db::name("bbfx_news_category")->where($where)->order('sort desc,id desc')->select();
        
        __success("操作成功",['list'=>$list]);
    }
    
    public function status(){
        $params = $this->param();
        
        $res = Db::name("bbfx_news_category")->where("id",$params['id'])->update(['status'=>$params['status']]);
        if($res){
            \app\admin\model\AdminLog::record("","",["id"=>$params['id'],'status'=>$params['status']],"bbfx_news_category");
            __success("操作成功");
        }
        else{
            __success("操作成功");
        }
    }
    
    public function detail(){
        $params = $this->param();
        
        $info = Db::name("bbfx_news_category")->where("id",$params['id'])->find();
        
        if(empty($info)){
            __error("分类不存在");
        }
        
        
        __success('操作成功',$info);
    }
    
    public function post(){
        $params = $this->param();
        $data = array(
            "uniacid"=>UNIACID,
            "title"=>$params['title'],
            "type"=>intval($params['type']),
            "status"=>intval($params['status']),
            "sort"=>intval($params['sort'])
        );
        
        if(!empty($params['id'])){
            $res = Db::name("bbfx_news_category")->where("id",$params['id'])->update($data);
            $data['id'] = $params['id'];
        }
        else{
            $res = Db::name("bbfx_news_category")->insertGetId($data);
            $data['id'] = $res;
        }
        
        if($res){
            \app\admin\model\AdminLog::record("","",$data,"bbfx_news_category");
            __success("编辑成功");
        }
        else{
            __success("操作成功");
        }
    }
    
    public function delete(){
        $this->commonDelete("bbfx_news_category");
    }
}